Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.igraph
Class NodePosition

    java.lang.Object
      ix.iview.igraph.NodePosition

    public class NodePosition

extends java.lang.Object

Field Summary
`(package private) Name` | `name`
`(package private) double` | `x`
`(package private) double` | `y`

Constructor Summary
`NodePosition()`
`NodePosition(Name name, double x, double y)`

Method Summary
`boolean` | `equals(NodePosition other)`
`boolean` | `equals(java.lang.Object other)`
`Name` | `getName()`
`double` | `getX()`
`double` | `getY()`
`static void` | `main(java.lang.String[] argv)`
`void` | `setName(Name name)`
`void` | `setX(double x)`
`void` | `setY(double y)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    Name name

### x

    double x

### y

    double y

Constructor Detail

### NodePosition

    public NodePosition()

### NodePosition

    public NodePosition(Name name,
                        double x,
                        double y)

Method Detail

### getName

    public Name getName()

### setName

    public void setName(Name name)

### getX

    public double getX()

### setX

    public void setX(double x)

### getY

    public double getY()

### setY

    public void setY(double y)

### equals

    public boolean equals(NodePosition other)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD